@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal
@echo off

call "%~dp0setupCmdLine.bat"

if exist "%JAVA_HOME%\bin\java.exe" (
   set JAVA_EXE="%JAVA_HOME%\bin\java"
) else (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java"
)

set JAVA_TOOLS=%JAVA_HOME%\lib\tools.jar
if not exist "%JAVA_TOOLS%" (
   set JAVA_TOOLS=%JAVA_HOME%\..\lib\tools.jar
)

if not defined OBJECTGRID_HOME (
   goto ws
)

SET PATH=%XS_PATH%

%JAVA_EXE% "-classpath" "%JAVA_TOOLS%;%OBJECTGRID_HOME%\properties;%OBJECTGRID_HOME%\lib\objectgrid.jar;%OBJECTGRID_HOME%\session\lib\sessionobjectgrid.jar;%OBJECTGRID_HOME%\lib\cglib.jar;%OBJECTGRID_HOME%\lib\ogstreamquery.jar;%OBJECTGRID_HOME%\lib\castor.jar;%OBJECTGRID_HOME%\lib\commons-io.jar;%OBJECTGRID_HOME%\lib\mx4j.jar;%OBJECTGRID_HOME%\lib\mx4j-remote.jar;%OBJECTGRID_HOME%\lib\mx4j-tools.jar;%OBJECTGRID_HOME%\dynacache\lib\wxsdynacache.jar" %JAVA_ENDORSED_DIRS% "-Dobjectgrid.home=%OBJECTGRID_HOME%" "com.ibm.ws.objectgrid.ProcessLauncher" %*

goto end

:ws

if defined WAS_PATH (
   SET PATH=%WAS_PATH%
)

%JAVA_EXE% "-classpath" "%JAVA_TOOLS%;%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\optionalLibraries\mx4j\lib" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dobjectgrid.home=%WAS_HOME%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.ProcessLauncher %*

:end
@endlocal